(function (root, factory) {
    root.JsBridge = factory(root);
}(typeof window == "undefined" ? this : window, function (win) {
    if (!win.document) { return {};}

    var doc = win.document,
    title = doc.title,
    ua = navigator.userAgent.toLowerCase(),
    platform = navigator.platform.toLowerCase(),
    isMacorWin = !(!platform.match("mac") && !platform.match("win")),
    isandroid = -1 != ua.indexOf("android"),
    isphoneorpad = -1 != ua.indexOf("iphone") || -1 != ua.indexOf("ipad"),
    JsBridge = {
        usable: false,
        checkUsable: function (methodName, params, cb) {
            var _this = this;
            if (!window._JSNativeBridge) {
                cb({
                    status: "-1",
                    msg: "window._JSNativeBridge is undefined"
                }, {});
                return;
            }

            try {
                    window._JSNativeBridge._doSendRequest(methodName, params, cb);
            } catch (e) {
                cb({status: "-1", msg: e},{});
            }
        },
// 定义的接口
       getSession: function(params,cb){
            this.checkUsable("getSession",params,cb);
        },

        hindenNavbar: function(params,cb){
            this.checkUsable("hindenNavbar",params,cb);
        },

        getHttpHeader: function(params,cb){
            this.checkUsable("getHttpHeader",params,cb);
        },

        goToActivity: function(params,cb){
            this.checkUsable("goToActivity",params,cb);
        },
        goBack: function(params,cb){
            this.checkUsable("goBack",params,cb);
        },
        getUserId: function(params,cb){
            this.checkUsable("getUserId",params,cb);
        },
        getBaseData: function(params,cb){
            this.checkUsable("getBaseData",params,cb);
        },
        getConfiguration: function(params,cb){
            this.checkUsable("getConfiguration",params,cb);
        },
        
    };

    if (window._JSNativeBridge) {
        window._JSNativeBridge.protocol.scheme = 'msj';
        window._JSNativeBridge.protocol.host = 'receive_msg';
        window._JSNativeBridge.debug = true;
    } else {
        document.addEventListener(
            'JsBridgeInit',
            function(event) {
                window._JSNativeBridge.protocol.scheme = 'msj';
                window._JSNativeBridge.protocol.host = 'receive_msg';
                event.bridge.debug = true;
            },
            false
            );
    }
    return JsBridge;
}));
